<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="ChargedLocationInfoType">
    <xs:sequence>
      <xs:element name="LocationType" minOccurs="0">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="School" />
            <xs:enumeration value="NonSchool" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="SiteCategory" minOccurs="0" type="xs:normalizedString" />
      <xs:element name="Name" minOccurs="0" type="xs:normalizedString" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="LocalId" minOccurs="0" nillable="true" type="LocalIdType" />
      <xs:element name="StateProvinceId" minOccurs="0" nillable="true" type="StateProvinceIdType" />
      <xs:element name="ParentChargedLocationInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="SchoolInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="AddressList" minOccurs="0" nillable="true" type="AddressListType" />
      <xs:element name="PhoneNumberList" minOccurs="0" nillable="true" type="PhoneNumberListType" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="ChargedLocationInfo" type="ChargedLocationInfoType">
    <xs:unique name="ChargedLocationInfoKey1">
      <xs:selector xpath="./ChargedLocationInfo" />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

  <xs:complexType name="ChargedLocationInfoCollectionType">
    <xs:sequence>
      <xs:element name="ChargedLocationInfo" type="ChargedLocationInfoType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ChargedLocationInfos" type="ChargedLocationInfoCollectionType" />

</xs:schema>